<?php
// Glide <> CCH/Digita - Integration Tool
// Credentials & Config

// *****************************************************************
// *** Make a copy of this file and rename it to credentials.php ***
// *****************************************************************

// Then when new versions of the tool are supplied your credentials will not be overwritten

$GLOBALS['glide_api_url'] = "https://www.whatsglide.com/i/api/api.php";	// Location of the Glide API
$GLOBALS['script_log'] = "log.txt";		// Location of log file

// *** ENTER YOUR CREDENTIALS BELOW ***
$GLOBALS['target_system'] = 1;			// 1 = CCH		2 = Digita		(default set to CCH)
$GLOBALS['gkey'] = ''; 				// Place your Glide API key here
$GLOBALS['sql_user'] = '';			// SQL Server user - do not use your administrator account!
$GLOBALS['sql_password'] = '';			// SQL Server password

// If needed change these default settings
$GLOBALS['sql_servername'] = 'SQLSERVER';        // Find this on SQL Server
$GLOBALS['sql_port'] = '1433';			 // The port - default 1433
$GLOBALS['sql_glide_dbase'] = 'glideint';	 // Default is glideint
$GLOBALS['sql_dbase'] = 'Central';		 // As of 2021 this is usually Central

// CCH SQL additional configuration

// CCH filter clients directly on SQL query
$GLOBALS['sql_cch_additional_client_filter'] = "";

// CCH filter clients on the existance of an additional field ID
$GLOBALS['sql_cch_client_filter_on_extra_field_enabled'] = false;
$GLOBALS['sql_cch_client_filter_on_extra_field_id'] = -1;
$GLOBALS['sql_cch_client_filter_on_extra_field_value'] = '';

// CCH email and telephone number import to Glide
$GLOBALS['cch_sendtoglide_client_email_enabled'] = true;
$GLOBALS['cch_sendtoglide_client_email_glide_fieldid'] = 221;
$GLOBALS['cch_sendtoglide_client_tel_enabled'] = true;
$GLOBALS['cch_sendtoglide_client_tel_glide_fieldid'] = 220;


// Configuration
$GLOBALS['config_dayonly'] = 1;			// Set to 0 to run 24 hours a day, otherwise just 7am - 10pm 
$GLOBALS['config_no_glide_connection'] = 0;	// If set to 1 then no connection to Glide will be attempted
$GLOBALS['config_jumpback'] = 7200;		// Number of seconds to jump back when looking for clients to update (2 hours default)
$GLOBALS['config_filterusers'] = 0;		// Should users be filtered? 1 = Yes   0 = No
$GLOBALS['config_filterusers_fieldid'] = 0;	// If so, what ExtraFieldID to look for?

?>
